Skip to main content
GET
/
v1
/
businesses
/
{businessId}
/
categorization-rules
/
suggestions
List suggested categorization rules
curl --request GET \
  --url https://sandbox.layerfi.com/v1/businesses/{businessId}/categorization-rules/suggestions \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "type": "Create_Categorization_Rule_For_Counterparty",
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "created_at": "2023-11-07T05:31:56Z",
      "new_rule": {
        "name": "<string>",
        "category": {
          "type": "AccountId",
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
        },
        "suggestion_1": {
          "type": "AccountId",
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
        },
        "suggestion_2": {
          "type": "AccountId",
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
        },
        "suggestion_3": {
          "type": "AccountId",
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
        },
        "apply_retroactively": false,
        "external_id": "<string>",
        "created_by_suggestion_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "merchant_type_filter": "<string>",
        "transaction_description_filter": "<string>",
        "counterparty_filter": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "bank_transaction_type_filter": "REVENUE",
        "bank_direction_filter": "MONEY_IN",
        "amount_min_filter": 123,
        "amount_max_filter": 123
      },
      "suggestion_prompt": "<string>",
      "transactions_that_will_be_affected": [
        {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "business_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "source": "UNIT",
          "source_transaction_id": "g4DlKyjXqGH3Kp5XlaWMtwLRrE4Z9AiE8B4Ko",
          "source_account_id": "Aaoy8G7VXZHVeqNoL1GvcmkPdqpLRWi9NArdG",
          "imported_at": "2023-11-07T05:31:56Z",
          "date": "2023-11-07T05:31:56Z",
          "direction": "CREDIT",
          "amount": 123,
          "counterparty_name": "WeWork",
          "description": "WeWork monthly rent payment",
          "account_name": "Plaid Checking",
          "categorizationStatus": "PENDING",
          "memo": "<string>",
          "metadata": {
            "custom_field": "value",
            "any valid json": "below 1kb",
            "nested": {
              "meaning of life": 42,
              "array": []
            }
          },
          "reference_number": "<string>"
        }
      ],
      "status": "PENDING",
      "business_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "business_name": "<string>",
      "counterparty": {},
      "accepted_at": "2023-11-07T05:31:56Z",
      "dismissed_at": "2023-11-07T05:31:56Z"
    }
  ],
  "pagination": {
    "sort_by": "<string>",
    "sort_order": "ASC",
    "cursor": "<string>",
    "has_more": true,
    "total_count": 123
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.layerfi.com/llms.txt

Use this file to discover all available pages before exploring further.

You can set show_affected_transactions=true to preview transactions each suggestion would recategorize. For more details about previewing suggestions, see Rule Suggestions.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Content-Type
string

Content-Type must be set to application/json.

Path Parameters

businessId
string<uuid>
required

The UUID of the business.

Query Parameters

show_affected_transactions
boolean
default:false

Include a transactions_that_will_be_affected preview on each suggestion.

statuses
string

Comma-separated list of suggestion statuses to filter by.

Example:

"PENDING"

update_type
enum<string>

Filter by the suggestion's update type.

Available options:
CREATE_RULE,
CREATE_RULE_FROM_SUGGESTIONS
direction
enum<string>

Filter by bank transaction direction.

Available options:
MONEY_IN,
MONEY_OUT
counterparty_id
string<uuid>

Filter suggestions by counterparty UUID.

account_identifiers
string

Comma-separated list of account identifiers to filter by.

q
string

Free-text search query across suggestion fields.

limit
integer

Maximum number of results per page.

sort_by
string
default:created_at

Field to sort by (default: created_at).

sort_order
enum<string>
default:DESC

Sort order (ASC or DESC). Defaults to DESC.

Available options:
ASC,
DESC
pagination_cursor
string

Pagination cursor for fetching next page.

Response

200 - application/json

List of suggested categorization rule updates.

data
object[]
pagination
object

Cursor-based pagination metadata returned alongside paginated list responses.